#!/usr/bin/env bash

docker logs ucp-kubelet --since 15m 2>&1 | grep -q 'use of closed network connection'
if [[ $? == 0 ]]; then
  echo 'Removing kubelet container snapshot'
  ctr -n com.docker.ucp snapshot rm ucp-kubelet
  echo 'Restarting kubelet'
  docker rm -f ucp-kubelet &> /dev/null
fi
